Name:		THP-off
Version:	1.0.0
Release:	1%{?dist}
Summary:	Disable Transparent Huge Page (THP)
BuildArch:	noarch

Group:		Applications/System
License:	BSD 2-Clause
URL:		http://annyung.oops.org
Source0:	THP-off.service
Source1:	thp-off.init

%description
This program helps to turn off Redhat's THP setting at boot time.

%prep
exit 0

%build
exit 0

%install
%{__mkdir_p} %{buildroot}%{_unitdir} %{buildroot}%{_sbindir}/init.d

%{__install} -m 644 %{SOURCE0} %{buildroot}%{_unitdir}/%{name}.service
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_sbindir}/init.d/thp-off

%clean
%{__rmrf} %{buildroot}

%post
%systemd_post %{name}.service
if [ $1 -eq 1 ]; then
	/usr/bin/systemctl enable %{name}.service >& /dev/null || :
fi

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%defattr(-,root,root)
%attr(755,root,root) %{_sbindir}/init.d/thp-off
%{_unitdir}/THP-off.service

%changelog
* Sat Jul 29 2017 JoungKyun.Kim <hostmaster@oops.org>
- first package
